org.springframework.cloud.dataflow.rest.resource

## Class JobInstanceResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<JobInstanceResource>
  - - org.springframework.cloud.dataflow.rest.resource.JobInstanceResource

-     public class JobInstanceResource
      extends org.springframework.hateoas.RepresentationModel<JobInstanceResource>

  A HATEOAS representation of a JobInstance.
  Author:
    Glenn Renfro

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JobInstanceResource.Page`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobInstanceResource(String jobName, long jobInstanceId, List<JobExecutionResource> taskJobExecutions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<JobExecutionResource>` | `getJobExecutions()`
    `long` | `getJobInstanceId()`
    `String` | `getJobName()`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobInstanceResource

          public JobInstanceResource(String jobName,
                                     long jobInstanceId,
                                     List<JobExecutionResource> taskJobExecutions)

  - ### Method Detail

    - #### getJobName

          public String getJobName()

    - #### getJobInstanceId

          public long getJobInstanceId()

    - #### getJobExecutions

          public List<JobExecutionResource> getJobExecutions()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.